/*
 * The CERN Tape Archive (CTA) project
 * Copyright (C) 2015  CERN
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

#include "FrontendReturnCode.hpp"

namespace cta {
namespace common {
namespace dataStructures {

std::string toString(FrontendReturnCode rc) {
  switch(rc) {
    case FrontendReturnCode::ok:
      return "ok";
    case FrontendReturnCode::userErrorNoRetry:
      return "userErrorNoRetry";
    case FrontendReturnCode::ctaErrorNoRetry:
      return "ctaErrorNoRetry";
    case FrontendReturnCode::ctaErrorRetry:
      return "ctaErrorRetry";
    case FrontendReturnCode::ctaFrontendTimeout:
      return "ctaFrontendTimeout";
    default:
      return "UNKNOWN";
  }
}

} // namespace dataStructures
} // namespace common
} // namespace cta
